SDL_x11window.h File Reference
`#include "../../SDL_internal.h"`
Include dependency graph for SDL_x11window.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | SDL_WindowData

## Macros

#define | PENDING_FOCUS_TIME 200

## Enumerations

enum | PendingFocusEnum { PENDING_FOCUS_NONE, PENDING_FOCUS_IN, PENDING_FOCUS_OUT }

## Functions

void | X11_SetNetWMState (_THIS, Window xwindow, Uint32 flags)
Uint32 | X11_GetNetWMState (_THIS, Window xwindow)
int | X11_CreateWindow (_THIS, SDL_Window *window)
int | X11_CreateWindowFrom (_THIS, SDL_Window *window, const void *data)
char * | X11_GetWindowTitle (_THIS, Window xwindow)
void | X11_SetWindowTitle (_THIS, SDL_Window *window)
void | X11_SetWindowIcon (_THIS, SDL_Window *window, SDL_Surface *icon)
void | X11_SetWindowPosition (_THIS, SDL_Window *window)
void | X11_SetWindowMinimumSize (_THIS, SDL_Window *window)
void | X11_SetWindowMaximumSize (_THIS, SDL_Window *window)
void | X11_SetWindowSize (_THIS, SDL_Window *window)
void | X11_ShowWindow (_THIS, SDL_Window *window)
void | X11_HideWindow (_THIS, SDL_Window *window)
void | X11_RaiseWindow (_THIS, SDL_Window *window)
void | X11_MaximizeWindow (_THIS, SDL_Window *window)
void | X11_MinimizeWindow (_THIS, SDL_Window *window)
void | X11_RestoreWindow (_THIS, SDL_Window *window)
void | X11_SetWindowBordered (_THIS, SDL_Window *window, SDL_bool bordered)
void | X11_SetWindowFullscreen (_THIS, SDL_Window *window, SDL_VideoDisplay *display, SDL_bool fullscreen)
int | X11_SetWindowGammaRamp (_THIS, SDL_Window *window, const Uint16 *ramp)
void | X11_SetWindowGrab (_THIS, SDL_Window *window, SDL_bool grabbed)
void | X11_DestroyWindow (_THIS, SDL_Window *window)
SDL_bool | X11_GetWindowWMInfo (_THIS, SDL_Window *window, struct SDL_SysWMinfo *info)
int | X11_SetWindowHitTest (SDL_Window *window, SDL_bool enabled)

## Macro Definition Documentation

#define PENDING_FOCUS_TIME 200

Definition at line 30 of file SDL_x11window.h.

## Enumeration Type Documentation

enum PendingFocusEnum

Enumerator
PENDING_FOCUS_NONE |
PENDING_FOCUS_IN |
PENDING_FOCUS_OUT |

Definition at line 36 of file SDL_x11window.h.

{
PENDING_FOCUS_NONE,
PENDING_FOCUS_IN,
PENDING_FOCUS_OUT
} PendingFocusEnum;
PENDING_FOCUS_OUT
Definition: SDL_x11window.h:40
PENDING_FOCUS_NONE
Definition: SDL_x11window.h:38
PendingFocusEnum
PendingFocusEnum
Definition: SDL_x11window.h:36
PENDING_FOCUS_IN
Definition: SDL_x11window.h:39

## Function Documentation

int X11_CreateWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

int X11_CreateWindowFrom | ( | _THIS | ,
|  | SDL_Window * | window,
|  | const void * | data
| ) |  |

void X11_DestroyWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

Uint32 X11_GetNetWMState | ( | _THIS | ,
|  | Window | xwindow
| ) |  |

char* X11_GetWindowTitle | ( | _THIS | ,
|  | Window | xwindow
| ) |  |

SDL_bool X11_GetWindowWMInfo | ( | _THIS | ,
|  | SDL_Window * | window,
|  | struct SDL_SysWMinfo * | info
| ) |  |

void X11_HideWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void X11_MaximizeWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void X11_MinimizeWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void X11_RaiseWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void X11_RestoreWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void X11_SetNetWMState | ( | _THIS | ,
|  | Window | xwindow,
|  | Uint32 | flags
| ) |  |

void X11_SetWindowBordered | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_bool | bordered
| ) |  |

void X11_SetWindowFullscreen | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_VideoDisplay * | display,
|  | SDL_bool | fullscreen
| ) |  |

int X11_SetWindowGammaRamp | ( | _THIS | ,
|  | SDL_Window * | window,
|  | const Uint16 * | ramp
| ) |  |

void X11_SetWindowGrab | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_bool | grabbed
| ) |  |

int X11_SetWindowHitTest | ( | SDL_Window * | window,
|  | SDL_bool | enabled
| ) |  |

void X11_SetWindowIcon | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_Surface * | icon
| ) |  |

void X11_SetWindowMaximumSize | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void X11_SetWindowMinimumSize | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void X11_SetWindowPosition | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void X11_SetWindowSize | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void X11_SetWindowTitle | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void X11_ShowWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |